@charset "UTF-8";
/* CSS Document */

/* SLIDER STRUCTURE */

#slider {
   background-color: white;
   height: 850px;
   width: 100%;
   overflow: visible;
}

/* HIDE ALL OUTSIDE OF THE SLIDER */

#mask {
   overflow: hidden;
   height: 850px;
	width: 100%;
	z-index: 3;
}

#mask img{
	width: 100%;
	height: 100%;
	z-index: 3;
	object-fit: cover;
	overflow: hidden;
}

/* IMAGE LIST */

#slider ul {
   margin: 0;
   padding: 0;
   position: relative;
}

#slider li {
	width: 100%;  /* Width Image */
	height: 850px; /* Height Image */
	position: absolute;
	right: -100%; /* Original Position - Outside of the Slider */
	list-style: none;
}

#slider li.firstanimation {
   animation: cycle 30s linear infinite;
}

#slider li.secondanimation {
   animation: cycletwo 30s linear infinite;
}

#slider li.thirdanimation {
   animation: cyclethree 30s linear infinite;
}

#slider li.fourthanimation {
   animation: cyclefour 30s linear infinite;
}

#slider li.fifthanimation {
   animation: cyclefive 30s linear infinite;
}

/* ANIMATION */

@keyframes cycle {
   0%  { right: 0px; } /* When you start the slide, the first image is already visible */
   4%  { right: 0px; } /* Original Position */
   16% { right: 0px; opacity:1; z-index:0; } /* From 4% to 16 % = for 3 seconds the image is visible */
   20% { right: 100%; opacity: 0; z-index: 0; } /* From 16% to 20% = for 1 second exit image */
   21% { right: -100%; opacity: 0; z-index: -1; } /* Return to Original Position */
   92% { right: -100%; opacity: 0; z-index: 0; }
   96% { right: -100%; opacity: 0; } /* From 96% to 100% = for 1 second enter image*/
   100%{ right: 0px; opacity: 1; }
}

@keyframes cycletwo {
   0%  { right: -100%; opacity: 0; } /* Original Position */
   16% { right: -100%; opacity: 0; }/* Starts moving after 16% to this position */
   20% { right: 0px; opacity: 1; }
   24% { right: 0px; opacity: 1; }  /* From 20% to 24% = for 1 second enter image*/
   36% { right: 0px; opacity: 1; z-index: 0; }   /* From 24% to 36 % = for 3 seconds the image is visible */
   40% { right: 100%; opacity: 0; z-index: 0; } /* From 36% to 40% = for 1 second exit image */
   41% { right: 100%; opacity: 0; z-index: -1; }   /* Return to Original Position */
   100%{ right: 100%; opacity: 0; z-index: -1; }
}

@keyframes cyclethree {
   0%  { right: -100%; opacity: 0; }
   36% { right: -100%; opacity: 0; }
   40% { right: 0px; opacity: 1; }
   44% { right: 0px; opacity: 1; }
   56% { right: 0px; opacity: 1; }
   60% { right: 100%; opacity: 0; z-index: 0; }
   61% { right: -100%; opacity: 0; z-index: -1; }
   100%{ right: -100%; opacity: 0; z-index: -1; }
}

@keyframes cyclefour {
   0%  { right: -100%; opacity: 0; }
   56% { right: -100%; opacity: 0; }
   60% { right: 0px; opacity: 1; }
   64% { right: 0px; opacity: 1; }
   76% { right: 0px; opacity: 1; z-index: 0; }
   80% { right: 100%; opacity: 0; z-index: 0; }
   81% { right: -100%; opacity: 0; z-index: -1; }
   100%{ right: -100%; opacity: 0; z-index: -1; }
}
@keyframes cyclefive {
   0%  { right: -100%; opacity: 0; }
   76% { right: -100%; opacity: 0; }
   80% { right: 0px; opacity: 1; }
   84% { right: 0px; opacity: 1; }
   96% { right: 0px; opacity: 1; z-index: 0; }
   100%{ right: 100%; opacity: 0; z-index: 0; }
}

@media screen and (max-width:500px){
    #mask img{
        height: 470px;
    }
}

@media (max-width:930px) and (min-width:501px){
    #mask img{
        height: 570px;
    }
}